Bug 732034 - lucene should create a jar which requires lucene-core
Summary: lucene should create a jar which requires lucene-core
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: lucene
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-19 14:37 UTC by Sami Wagiaalla
Modified: 2016-06-07 22:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-20 06:13:16 UTC


Attachments (Terms of Use)
patch. (4.19 KB, patch)
2011-08-19 14:37 UTC, Sami Wagiaalla
no flags Details | Diff

Description Sami Wagiaalla 2011-08-19 14:37:34 UTC
Created attachment 519052 [details]
patch.

Eclipse requires both lucene and lucene.core as dependencies.

Currently lucene-core.jar is a symlink to lucene.jar and the lucene.jar MANIFEST.MF file claims that it is lucene.core. This trips up the Eclipse build.

I have patched the rpm to create a lucene.jar which requires lucene.core and lucene-core.jar with the correct name its MANIFEST.MF file.

I am attaching the patch.

Comment 1 Alexander Kurtakov 2011-08-19 14:49:59 UTC
Am I wrong or this patch simply overrides the lucene.core manifest ?

Comment 2 Alexander Kurtakov 2011-08-19 14:53:00 UTC
Also there is no lucene.jar release upstream so the fix should be in Eclipse build. I'm not ready to spread patches to a number of packages to support legacy.

Comment 3 Alexander Kurtakov 2011-08-20 06:13:16 UTC
Because of the reasons explained I'm closing this bug as wontfix.


Note You need to log in before you can comment on or make changes to this bug.